import React, { useReducer } from 'react';
import { createUseStyles } from 'react-jss';
import SaladBuilder from '../SaladBuilder/SaladBuilder';
import SaladSummary from '../SaladSummary/SaladSummary';
import SaladContext, {saladReducer, getSalad} from '../Salad/Salad'

const useStyles = createUseStyles({
  wrapper: {
    textAlign: 'center',
  }
});


export default function SaladMaker() {
  const classes = useStyles();
  const [salad, setSalad] = useReducer(saladReducer, getSalad());

  return(
    <SaladContext.Provider value={{ salad, setSalad }}>
      <h1 className={classes.wrapper}>
        <span role="img" aria-label="salad">🥗 </span>
          Build Your Custom Salad!
          <span role="img" aria-label="salad"> 🥗</span>
      </h1>
      <SaladBuilder />
      <SaladSummary />
    </SaladContext.Provider>
  )
}